export interface DmsRealtimeStatusVO {
  /**
   * 主键标识
   */
  statusId: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 设备状态编号
   */
  statusCode: string;

  /**
   * 设备状态名称
   */
  statusName: string;

  /**
   * 设备状态值
   */
  statusValue: string;

  /**
   * 设备名称
   */
  machineName: string;

}

export interface DmsRealtimeStatusForm extends BaseEntity {
  /**
   * 主键标识
   */
  statusId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 设备状态编号
   */
  statusCode?: string;

  /**
   * 设备状态名称
   */
  statusName?: string;

  /**
   * 设备状态值
   */
  statusValue?: string;

  /**
   * 设备名称
   */
  machineName?: string;

}

export interface DmsRealtimeStatusQuery extends PageQuery {

  /**
   * 主键标识
   */
  statusId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 设备状态编号
   */
  statusCode?: string;

  /**
   * 设备状态名称
   */
  statusName?: string;

  /**
   * 设备状态值
   */
  statusValue?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 设备名称
   */
  machineName?: string;
}



