export interface DmsInspectProjectDeviceVO {
  /**
   * 点巡检项目ID
   */
  inspectProjectId: string | number;

  /**
   * 关联类型(1设备类型)
   */
  targetType: string;

  /**
   * 关联类型的主键
   */
  targetId: string | number;

}

export interface DmsInspectProjectDeviceForm extends BaseEntity {
  /**
   * 点巡检项目ID
   */
  inspectProjectId?: string | number;

  /**
   * 关联类型(1设备类型)
   */
  targetType?: string;

  /**
   * 关联类型的主键
   */
  targetId?: string | number;

}

export interface DmsInspectProjectDeviceQuery extends PageQuery {

  /**
   * 点巡检项目ID
   */
  inspectProjectId?: string | number;

  /**
   * 关联类型(1设备类型)
   */
  targetType?: string;

  /**
   * 关联类型的主键
   */
  targetId?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;
}



