export interface BaseDeviceCategoryVO {
  /**
   * 大类ID
   */
  deviceCategoryId: string | number;

  /**
   * 大类编号
   */
  deviceCategoryCode: string;

  /**
   * 大类名称
   */
  deviceCategoryName: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface BaseDeviceCategoryForm extends BaseEntity {
  /**
   * 大类ID
   */
  deviceCategoryId?: string | number;

  /**
   * 大类编号
   */
  deviceCategoryCode?: string;

  /**
   * 大类名称
   */
  deviceCategoryName?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface BaseDeviceCategoryQuery extends PageQuery {

  /**
   * 大类ID
   */
  deviceCategoryId?: string | number;

  /**
   * 大类编号
   */
  deviceCategoryCode?: string;

  /**
   * 大类名称
   */
  deviceCategoryName?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



