export interface BaseMouldInfoVO {
  /**
   * 主键标识
   */
  mouldId: string | number;

  /**
   * 模具名称
   */
  mouldName: string;

  /**
   * 所在机台ID
   */
  machineId: string | number;

  /**
   * 使用次数
   */
  usedNum: number;

  /**
   * 备注
   */
  remark: string;

}

export interface BaseMouldInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  mouldId?: string | number;

  /**
   * 模具名称
   */
  mouldName?: string;

  /**
   * 所在机台ID
   */
  machineId?: string | number;

  /**
   * 使用次数
   */
  usedNum?: number;

  /**
   * 备注
   */
  remark?: string;

  baseMouldRelationList?: [];
}

export interface BaseMouldInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  mouldId?: string | number;

  /**
   * 模具名称
   */
  mouldName?: string;

  /**
   * 所在机台ID
   */
  machineId?: string | number;

  /**
   * 使用次数
   */
  usedNum?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



