export interface ProdShiftChangeVO {
  /**
   * 主键标识
   */
  shiftChangeId: string | number;

  /**
   * 接班时间
   */
  shiftChangeTime: string;

  /**
   * 机台ID
   */
  machineId: string | number;

  /**
   * 班次ID
   */
  shiftId: string | number;

  /**
   * 班组ID
   */
  classTeamId: string | number;

  /**
   * 接班人ID
   */
  userId: string | number;

  /**
   * 接班人名称
   */
  userName: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 机台名称
   */
  machineName?: string;
  /**
   * 班组名称
   */
  classTeamName?: string;
  /**
   * 班次名称
   */
  shiftName?: string;

}

export interface ProdShiftChangeForm extends BaseEntity {
  /**
   * 主键标识
   */
  shiftChangeId?: string | number;

  /**
   * 接班时间
   */
  shiftChangeTime?: string;

  /**
   * 机台ID
   */
  machineId?: string | number;

  /**
   * 班次ID
   */
  shiftId?: string | number;

  /**
   * 班组ID
   */
  classTeamId?: string | number;

  /**
   * 接班人ID
   */
  userId?: string | number;

  /**
   * 接班人名称
   */
  userName?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 机台名称
   */
  machineName?: string;
  /**
   * 班组名称
   */
  classTeamName?: string;
  /**
   * 班次名称
   */
  shiftName?: string;

}

export interface ProdShiftChangeQuery extends PageQuery {

  /**
   * 主键标识
   */
  shiftChangeId?: string | number;

  /**
   * 接班时间
   */
  shiftChangeTime?: string;

  /**
   * 机台ID
   */
  machineId?: string | number;

  /**
   * 班次ID
   */
  shiftId?: string | number;

  /**
   * 班组ID
   */
  classTeamId?: string | number;

  /**
   * 接班人ID
   */
  userId?: string | number;

  /**
   * 接班人名称
   */
  userName?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 机台名称
   */
  machineName?: string;
  /**
   * 班组名称
   */
  classTeamName?: string;
  /**
   * 班次名称
   */
  shiftName?: string;
}



