export interface DmsBaseSpecialdeviceParamVO {
  /**
   * 主键标识
   */
  specialdeviceParamId: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 参数编号
   */
  paramCode: string;

  /**
   * 参数名称
   */
  paramName: string;

  /**
   * 参数值
   */
  paramValue: string;

  /**
   * 参数单位
   */
  paramUnit: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 设备类型
   */
  machineName: string;//JOIN

}

export interface DmsBaseSpecialdeviceParamForm extends BaseEntity {
  /**
   * 主键标识
   */
  specialdeviceParamId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 参数编号
   */
  paramCode?: string;

  /**
   * 参数名称
   */
  paramName?: string;

  /**
   * 参数值
   */
  paramValue?: string;

  /**
   * 参数单位
   */
  paramUnit?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;


  /**
   * 设备类型
   */
  machineName?: string;//JOIN

}

export interface DmsBaseSpecialdeviceParamQuery extends PageQuery {

  /**
   * 主键标识
   */
  specialdeviceParamId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 参数编号
   */
  paramCode?: string;

  /**
   * 参数名称
   */
  paramName?: string;

  /**
   * 参数值
   */
  paramValue?: string;

  /**
   * 参数单位
   */
  paramUnit?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 设备类型
   */
  machineName?: string;//JOIN
}



