export interface DefectInfoVO {
  /**
   * 病疵名称
   */
  defectName: string;

  /**
   * 病疵类型
   */
  defectType: number;

  /**
   * 状态（0正常 1停用）
   */
  status: string;

  /**
   * 工序
   */
  operation: string;

}

export interface DefectInfoForm extends BaseEntity {
  /**
   * 病疵名称
   */
  defectName?: string;

  /**
   * 病疵类型
   */
  defectType?: number;

  /**
   * 状态（0正常 1停用）
   */
  status?: string;

  /**
   * 工序
   */
  operation?: string;

}

export interface DefectInfoQuery extends PageQuery {

  /**
   * 病疵名称
   */
  defectName?: string;

  /**
   * 病疵类型
   */
  defectType?: number;

  /**
   * 状态（0正常 1停用）
   */
  status?: string;

  /**
   * 工序
   */
  operation?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



